Hallo, Gast! (Registrieren)

Letzte Ankündigung: MyBB 1.8.12 veröffentlicht (22.05.17)


Benutzer, die gerade dieses Thema anschauen: 1 Gast/Gäste
Diskussion: MyBB 1.8.11 veröffentlicht
#1
Diskussion zu: MyBB 1.8.11 veröffentlicht
[Bild: banner.png]

Bitte die Foren-Regeln beachten und im Profil die verwendete MyBB-Version angeben.
Zitieren
#2
ich habe erstmal mein Testforum der (für mich allerersten) Prozedur unterzogen

Soweit sieht alles gut aus, jedoch gab es vier mal eine Mail mit folgendem Inhalt und das Upgrade hatte auch mit vier Meldungen geendet.

Zitat:Your copy of MyBB running on Alte Bekannte - Forum (http://xxxxxxxx.de) has experienced an error. Details of the error include:
---
Type: 2
File: inc/functions.php (Line no. 6889)
Message
curl_setopt_array(): Array keys must be CURLOPT constants or equivalent integer values

PHP Version ist hier: 5.6.30
Zitieren
#3
Danke für den Hinweis, ich habe es an den Entwickler weitergegeben. Das sollte allerdings niemanden von einem Upgrade abhalten, Probleme sind durch die Warnung nicht zu erwarten.
[Bild: banner.png]

Bitte die Foren-Regeln beachten und im Profil die verwendete MyBB-Version angeben.
Zitieren
#4
Danke für die rasche Rückmeldung StefanT.
Dann gehe ich jetzt mein Hauptforum auch direkt an; Sicherheitslücken schließen hat immer absolute Priorität!

Nachtrag: Upgrade auch auf php 7.0 erfolgreich durchgeführt

Danke an die Entwickler und das Team hier!
Zitieren
#5
Habe auch nach der letzten Instanz zwei Warnungen erhalten. (Upgrade von 1.8.7 auf 1.8.11 mit PHP Version 5.6)

Upgrade von 1.8.10 auf 1.8.11 mit PHP Version 7 Local ohne Probleme.


Angehängte Dateien Thumbnail(s)
   
Mit freundlichen Grüßen

MrBrechreiz
Zitieren
#6
hi!
mit dem schalen nachgeschmack:
(04.04.2017, 21:56)bv64 schrieb: Nachtrag: Upgrade auch auf php 7.0 erfolgreich durchgeführt

Ende des Projekts MySQLDumper
   Posted 2016-01-31, 18:17 by DSB
   Internet    Liebe Anwender,

   sei 2003 habe ich an MySQLDumper entwickelt und sehr viel Zeit in dieses Projekt investiert. Mit PHP7 ist die vom Dumper genutzte MySQL-Extension entfernt worden. Somit funktioniert MySQLDumper nicht mehr mit PHP7.
   Ich habe lange überlegt ob ich MSD noch einmal anpassen soll, bin jedoch zu dem Ergebnis gekommen, dass mir das zu viel Arbeit ist. Ich selbst nutze MySQLDumper nicht mehr und leider ist in den letzten Jahren kein weiterer Programmierer auf mich zugekommen, um das Projekt mit Code zu unterstützen. Insofern müsste ich eine Menge Zeit und Arbeit in ein Projekt investieren, was ich selbst nicht nutze. Das macht für mich schlichtweg keinen Sinn.

   Deshalb ist es nun an der Zeit, das Ende des Projekts zu verkünden.
   Ich bedanke mich bei allen Anwender, besonders bei denjenigen, die etwas gespendet haben und/oder Feedback im Forum hinterlassen haben. Durch dieses Projekt habe ich eine Menge gelernt, auch und besonders über verschiedenste Serverkonfigurationen. Ich danke auch für das mir entgegen gebrachte Vertrauen. Aber nun ziehe ich mich aus dem Projekt MySQLDumper zurück. Das Forum lasse ich als Nachschlagwerk vorerst stehen und helfe gegebenenfalls auch noch mit Antworten. Noch gibt es ja jede Menge Server mit PHP 5.

   Der Quellcode liegt bei Github: https://github.com/DSB/MySQLDumper und kann von jedermann kopiert und weiter entwickelt werden. Theoretisch kann also jemand anders an dem Projekt weiter arbeiten. Es wäre toll wenn das passieren würde.

   Ich bin nun aber raus. Macht es gut.

   Euer DSB
   Daniel Schlichtholz
greets
sjfm
Zitieren
#7
MySQLDumper hat eine Weiterentwicklung. Siehe hier http://doku.oos-shop.de/myoos-benutzerha...sqldumper/

Diesen nutze ich schon etwas länger, mit Erfolg.
Mit freundlichen Grüßen

MrBrechreiz
Zitieren
#8
Also ich nutze auch noch PHP5.6 und hatte keine Probleme mit dem Upgrade von 1.8.10 zu 1.8.11 Smile
Hat alles super geklappt Smile
Vielen dank.
Zitieren
#9
ja ich muss sagen, gelungene Umsetzung

Importvermerk von wbb3.1.8(wbblite1)
ich habe bisher keine großen Fehler gefunden, nur Kleinigkeiten in den Gruppenrechten, das tut aber nichts, das Merge-Script benötigt jetzt keine 777 mehr für Avatare und alles andere läuft mit UTF-8 auch sauber durch, vorbehaltlich der Format-Prüfung

ich bin sehr zufrieden, ich werde das Script aber noch durchstressen, mit der Installation auf 4-byte-UTF-8 ob das Merge damit klarkommen würde Wink

das mache ich aber nur so zu meinem Kenntnisstand, den ich dann hier anhängen kann, für die die es ggf. auch mit 4-byte-UTF-8 versuchen wollten und nicht wissen ob es schief gehen könnte

bis jetzt wie gesagt, durchaus positive Bilanz, das freut mich sehr
Zitieren
#10
Habe leider nicht diesen Erfolg gehabt.
Bekomme folgende Meldung:

MyBB has experienced an internal error and cannot continue.

Error Type:
   MyBB Error (43)
Error Message:
   The install directory (install/) still exists on your server and is not locked. To access MyBB please either remove this directory or create an empty file in it called 'lock'.
Nun geht nichts mehr.
Hatte mit 1.8.10 keine Probleme.
Bin ein Neuling und hoffe, dass mir jemand helfen kann.

Die Meldung bekomme ich auch!

Erstellung der Caches
MyBB SQL Error
MyBB has experienced an internal SQL error and cannot continue.
SQL Error:1054 - Unknown column 'enabled' in 'where clause'Query:SELECT * FROM mybb_attachtypes WHERE enabled=1
Zitieren


Möglicherweise verwandte Themen...
Thema Verfasser Antworten Ansichten Letzter Beitrag
  Diskussion: MyBB 1.8.12 veröffentlicht StefanT 31 3.128 08.10.2017, 18:53
Letzter Beitrag: bv64
  Diskussion: MyBB 1.8.10 veröffentlicht StefanT 21 2.128 05.02.2017, 22:24
Letzter Beitrag: StefanT
  Diskussion: MyBB 1.8.9 veröffentlicht StefanT 18 1.760 04.01.2017, 12:55
Letzter Beitrag: Licht
  Diskussion: MyBB 1.8.8 veröffentlicht StefanT 52 3.872 02.11.2016, 02:53
Letzter Beitrag: melancholia
  Diskussion: MyBB 1.8.7 veröffentlicht StefanT 38 4.558 23.04.2016, 14:50
Letzter Beitrag: RebelAce